Skip to main content
GET
/
organisations
/
{id}
/
credit_batches
Organisation Credit Batches
curl --request GET \
  --url https://api.sandbox.isometric.com/registry/v0/organisations/{id}/credit_batches \
  --header 'Authorization: Bearer <token>' \
  --header 'x-client-secret: <x-client-secret>'
import requests

url = "https://api.sandbox.isometric.com/registry/v0/organisations/{id}/credit_batches"

headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-client-secret': '<x-client-secret>', Authorization: 'Bearer <token>'}
};

fetch('https://api.sandbox.isometric.com/registry/v0/organisations/{id}/credit_batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "nodes": [
    {
      "beneficiary": {
        "domain": "isometric.com",
        "id": "org_1GB56M1ST1S0GVNA",
        "name": "<string>"
      },
      "carbon_removal_data": {
        "counterfactuals_kg": 123,
        "emissions_kg": 123,
        "gross_carbon_removed_kg": 123,
        "losses_kg": 123,
        "net_carbon_removed_kg": 123
      },
      "ccp_approved": true,
      "country_of_issue": "<string>",
      "delivered_at": "2023-11-07T05:31:56Z",
      "delivery_id": "dlv_1C454ZXA61S03Z9T",
      "ghg_entry_id": "rmv_1EEM6NJXX1S0EXKD",
      "id": "ctb_1DRBTYA8Q1S07CBY",
      "issuance_id": "iss_1EWT8R5FY1S0GFCY",
      "issued_at": "2023-11-07T05:31:56Z",
      "left_child_id": "ctb_1DRBTYA8Q1S07CBY",
      "owner": {
        "domain": "isometric.com",
        "id": "org_1GB56M1ST1S0GVNA",
        "name": "<string>"
      },
      "parent_id": "ctb_1DRBTYA8Q1S07CBY",
      "project_id": "prj_1CTWZQGKE1S0VAXA",
      "removal_id": "rmv_1EEM6NJXX1S0EXKD",
      "retired_at": "2023-11-07T05:31:56Z",
      "retirement_id": "ret_1FYBH4QDT1S0SVKF",
      "right_child_id": "ctb_1DRBTYA8Q1S07CBY",
      "sequestered_on": "2023-12-25",
      "serial_number": "<string>",
      "size": {
        "credit_kgs": 123,
        "credits": 123
      },
      "supplier_id": "spl_1CC712KFS1S0YKPS"
    }
  ],
  "page_info": {
    "end_cursor": "<string>",
    "has_next_page": true,
    "has_previous_page": true,
    "start_cursor": "<string>"
  },
  "total_count": 123
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}

Authorizations

Authorization
string
header
required

A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>

Headers

x-client-secret
string
required

A secret token identifying the client connecting to the API

Example:

"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"

Path Parameters

id
string
required

The ID of the organisation.

Required string length: 20 - 37
Examples:

"org_1GB56M1ST1S0GVNA"

"org_1CP8EQDNQSBXTMR2"

Query Parameters

supplier_id
string | null

Filter credit batches by the supplier that was issued the credits

Required string length: 20 - 37
Example:

"spl_1CC712KFS1S0YKPS"

project_id
string | null

Filter credit batches by the project that the credits were issued for

Required string length: 20 - 37
Example:

"prj_1CTWZQGKE1S0VAXA"

issuance_id
string | null

Filter credit batches by their issuance

Required string length: 20 - 37
Example:

"iss_1EWT8R5FY1S0GFCY"

delivery_id
string | null

Filter credit batches by the delivery that they were part of

Required string length: 20 - 37
Example:

"dlv_1C454ZXA61S03Z9T"

order_id
string | null

Filter credit batches by the order they have been delivered against

Required string length: 20 - 37
Example:

"ord_1FAN3S3WV1S0B842"

retirement_id
string | null

Filter credit batches by the retirement they have been part of

Required string length: 20 - 37
Example:

"ret_1FYBH4QDT1S0SVKF"

status
enum<string>[] | null

Filter credit batches by status. Note that 'split' status is excluded by default.

Available options:
active,
split,
retired
issued_after
string<date-time> | null

Filter credit batches to only return ones issued strictly after this timestamp. Format: ISO8601-like including timezone, eg. 2021-01-01T00:00:00Z

Example:

"2021-01-01T00:00:00Z"

issued_before
string<date-time> | null

Filter credit batches to only return ones issued strictly before this timestamp. Format: ISO8601-like including timezone, eg. 2024-01-01T00:00:00Z

Example:

"2024-01-01T00:00:00Z"

last
integer
default:10

An integer number of items to retrieve before the item represented by the cursor passed in the before parameter. Defaults to 10 with a maximum value of 50.

Required range: x <= 50
before
string | null

An opaque cursor representing the first item in the previously requested page to select items ordered before it. Submit the previously requested page’s start_cursor here when paginated backwards.

Minimum string length: 1
first
integer
default:10

An integer number of items to retrieve after the item represented by the cursor passed in the after parameter. Defaults to 10 with a maximum value of 50.

Required range: x <= 50
after
string | null

An opaque cursor representing the last item in the previously requested page to select items ordered after it. Submit the previously requested page’s end_cursor here when paginated forwards.

Minimum string length: 1
sort_field
enum<string>
default:issued_at
Available options:
issued_at
sort_direction
enum<string>
default:desc
Available options:
asc,
desc

Response

Successful Response

nodes
CreditBatch · object[]
required
page_info
PageInfo · object
required
total_count
integer
required